Package org.kie.internal.runtime.error

## Class ExecutionError.Builder

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionError.Builder

- Enclosing class:
    ExecutionError

      public static class ExecutionError.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionError.Builder` | `acknowledged​(boolean acknowledged)` |
    `ExecutionError.Builder` | `acknowledgedAt​(Date acknowledgedAt)` |
    `ExecutionError.Builder` | `acknowledgedBy​(String user)` |
    `ExecutionError.Builder` | `activityId​(Long activityId)` |
    `ExecutionError.Builder` | `activityName​(String activityName)` |
    `ExecutionError` | `build()` |
    `ExecutionError.Builder` | `deploymentId​(String deploymentId)` |
    `ExecutionError.Builder` | `error​(String errorStr)` |
    `ExecutionError.Builder` | `errorDate​(Date errorDate)` |
    `ExecutionError.Builder` | `initActivityId​(Long initActivityId)` |
    `ExecutionError.Builder` | `jobId​(Long jobId)` |
    `ExecutionError.Builder` | `message​(String message)` |
    `ExecutionError.Builder` | `processId​(String processId)` |
    `ExecutionError.Builder` | `processInstanceId​(String piId)` |
    `ExecutionError.Builder` | `type​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public ExecutionError build()

    - #### type

          public ExecutionError.Builder type​(String type)

    - #### deploymentId

          public ExecutionError.Builder deploymentId​(String deploymentId)

    - #### message

          public ExecutionError.Builder message​(String message)

    - #### error

          public ExecutionError.Builder error​(String errorStr)

    - #### acknowledgedBy

          public ExecutionError.Builder acknowledgedBy​(String user)

    - #### processInstanceId

          public ExecutionError.Builder processInstanceId​(String piId)

    - #### activityId

          public ExecutionError.Builder activityId​(Long activityId)

    - #### acknowledged

          public ExecutionError.Builder acknowledged​(boolean acknowledged)

    - #### acknowledgedAt

          public ExecutionError.Builder acknowledgedAt​(Date acknowledgedAt)

    - #### processId

          public ExecutionError.Builder processId​(String processId)

    - #### activityName

          public ExecutionError.Builder activityName​(String activityName)

    - #### errorDate

          public ExecutionError.Builder errorDate​(Date errorDate)

    - #### jobId

          public ExecutionError.Builder jobId​(Long jobId)

    - #### initActivityId

          public ExecutionError.Builder initActivityId​(Long initActivityId)